# frozen_string_literal: true

module GemCodebreaker
  class GameStatistic
    attr_reader :user_nickname, :difficulty, :attempts_total, :attempts_used, :hints_total, :hints_used, :date

    def initialize(game)
      @user_nickname = game.config.user_nick_name
      @difficulty = game.config.difficulty
      @attempts_total = game.config.max_attempts
      @attempts_used = game.config.user_attempts
      @hints_total = game.config.max_hints
      @hints_used = game.config.user_hints
      @date = Date.today.to_s
    end
  end
end
