# frozen_string_literal: true

module GemCodebreaker
  class SerializerDeserializer
    def initialize
      @file_name = 'game_statistic.yml'
      @statistic_dir = 'data'
      @storage_path = File.expand_path("./#{@statistic_dir}/#{@file_name}")
    end

    def data_dir_get
      data_directory = File.dirname(@storage_path)
      Dir.mkdir(data_directory) unless File.directory?(data_directory)
    end

    def load_game_statistic
      File.exist?(@storage_path) ? YAML.load_file(@storage_path) : []
    end

    def save_game_statistic(game_statistic)
      save_game_stat = game_statistic | load_game_statistic
      File.open(@storage_path, 'w') do |file|
        YAML.dump(save_game_stat, file)
      end
    end
  end
end
