# frozen_string_literal: true

module GemCodebreaker
  class User
    include Validator
    attr_reader :nick_name

    def initialize(nick_name)
      @nick_name = nick_name
    end

    def nickname_valid?
      validate_class(@nick_name, String)
      validate_length(@nick_name, (3..20), I18n.t('errors.name_length'))
      true
    end
  end
end
