# frozen_string_literal: true

module GemCodebreaker
  module Validator
    def validate_inclusion(valid_values, check_value)
      raise GemCodebreaker::InclusionError unless valid_values.include?(check_value)
    end

    def validate_class(user_code, klass)
      raise GemCodebreaker::WrongClassError unless user_code.is_a?(klass)
    end

    def validate_length(check_value, valid_values, errors_message)
      raise GemCodebreaker::LengthError, errors_message unless valid_values.member?(check_value.length)
    end
  end
end
